Skip to main content

Create project

POST
/projects

Creates an empty project for grouping related tasks.

Contract

Parameter
Value
Sectionprojects
AuthenticationCookieAuth
Consumesapplication/json
Producesapplication/json

Parameters

1 parameter

Name
Location
Required
Type
Description
requestbodyyesobjectProject name and description
  • {
      "ID": 0,
      "description": "<string>",
      "name": "<string>"
    }

Responses

5 responses

Status
Description
Type
200
Response: {data: <new project id>}object
400
Invalid request bodyobject
401
Unauthorizedobject
409
Name is already in useobject
500
Internal server errorobject
  • {}
  • {
      "data": {},
      "error": "<string>"
    }
  • {
      "data": {},
      "error": "<string>"
    }
  • {
      "data": {},
      "error": "<string>"
    }
  • {
      "data": {},
      "error": "<string>"
    }